=== debian/changelog ===
libioth (0.1.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:07:04 +0000

libioth (0.1.2-3build1) noble; urgency=medium

  * No-change rebuild against libvdeplug2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 05:59:48 +0000

libioth (0.1.2-3) unstable; urgency=medium

  * Fix build on non amd64 architecture

 -- Andrea Capriotti <capriott@debian.org>  Thu, 11 Jan 2024 01:53:09 +0100

libioth (0.1.2-2) unstable; urgency=medium

  * d/control: Add libmhash-dev Build-Depends

 -- Andrea Capriotti <capriott@debian.org>  Thu, 11 Jan 2024 00:15:27 +0100

libioth (0.1.2-1) unstable; urgency=medium

  * Initial Debian release (Closes: #1058963)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 09 Jan 2024 22:19:53 +0100

libioth (0.1.1-1) unstable; urgency=medium

  * d/control: Add nlinline-dev Build-Depends
  * d/control: Add Uploaders, Vcs-Browser and Vcs-Git
  * d/copyright: Update Debian copyright

 -- Andrea Capriotti <capriott@debian.org>  Tue, 09 Jan 2024 20:47:05 +0100

libioth (0.1-1) unstable; urgency=low

  * Initial release. (tnx Gabriele Aprile, Federico Borci)

 -- Renzo Davoli <renzo@cs.unibo.it>  Mon, 26 Jun 2023 13:58:02 +0200
