=== debian/control ===
Source: libioth
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12), libvdeplug-dev, libfduserdata-dev, nlinline-dev, libmhash-dev
Standards-Version: 4.6.2
Homepage: http://www.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/libioth
Vcs-Git: https://salsa.debian.org/virtualsquare-team/libioth.git
Rules-Requires-Root: no

Package: libioth-dev
Section: libdevel
Architecture: any
Depends: libioth0 (= ${binary:Version}), ${misc:Depends}
Description: Unified API for the Internet of Threads - development
 libioth main goal is to provide a convenient API
 to interoperate with different network stack implementations.
 Libioth is also an infrastructure where the actual
 implementations can be loaded as plug-ins.
 Libioth's API is minimal: it includes the complete set of
 Berkeley Sockets functions, some functions to add or delete
 a stack and 'msocket', an extended version of 'socket' providing
 one more leading argument to select which stack should
 manage the communication.
 .
 This package contains the development files used for libioth.

Package: libioth0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unified API for the Internet of Threads - library
 libioth main goal is to provide a convenient API
 to interoperate with different network stack implementations.
 Libioth is also an infrastructure where the actual
 implementations can be loaded as plug-ins.
 Libioth's API is minimal: it includes the complete set of
 Berkeley Sockets functions, some functions to add or delete
 a stack and 'msocket', an extended version of 'socket' providing
 one more leading argument to select which stack should
 manage the communication.
 .
 This package contains the library.
